CodeColorer comaptiblity with "Markdown for WordPress and bbPress"

Enables CodeColorer for any code block created by the markdown-for-wordpress-and-bbpress
plugin.

Author:Lucas Jenss (profile at wordpress.org)
WordPress version required:3.0
WordPress version tested:3.4.2
Plugin version:0.1.1
Added to WordPress repository:08-05-2012
Last updated:06-09-2012
Warning! This plugin has not been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.
Rating, %:0
Rated by:0
Plugin URI:http://github.com/x3ro/wordpress-codecolorer-...
Total downloads:1 745
Active installs:10+
plugin download
Click to start download

This plugin automatically wraps Markdown code blocks (indented by 4 spaces or a tab) in CodeColorer tags. You can also specify what language the given snippet uses, by using the following syntax:

    :ruby:
    class Foo < Bar
    end

That is, the name of the language, as you'd use it when creating a CodeColorer block, enclosed by two colons on the very first line of the code snippet.

The source code repository can be found over at GitHub.


ChangeLog